package com.utopiaindustries.qualitychecker.apiservice;

import okhttp3.OkHttpClient;
import retrofit2.Retrofit;
import retrofit2.converter.jackson.JacksonConverterFactory;

public class GiteaClient {
	private static Retrofit retrofit;
	private static final String BASE_URL = "https://git.utopiadeals.com/api/v1/repos/UIND/Quality-Checker-Android-Releases/";

	/**
	 * get retrofit instance
	 */
	public static Retrofit getInstance() {
		if ( retrofit == null ) {
			try {
			retrofit = new Retrofit.Builder()
					.baseUrl( BASE_URL )
					.addConverterFactory( JacksonConverterFactory.create() )
					.client( SSLCheckHttpClient.getOkHttpClient() )
					.build();
			} catch (Exception e) {
				throw new RuntimeException(e);
			}
		}
		return retrofit;
	}
}
